### Signal

# Gtk ApplicationWindow::save-state

unstable since: 4.24

#### Declaration

    gboolean
    save_state (
      GtkApplicationWindow* self,
      GVariantDict* dict,
      gpointer user_data
    )

#### Description [src]

The handler for this signal should persist any application-specific state of `window` into `dict`.

Note that window management state such as maximized, fullscreen, or window size should not be saved as part of this. They are handled by GTK.

See `GtkApplication::restore-window`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 4.24

#### Parameters

`dict`

  Type: `GVariantDict`

  A dictionary to populate with application window state.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

True to stop stop further handlers from running.